EXAILE(1)

NAME
Exaile - music manager and player

SYNOPSIS
exaile [OPTION...] [LOCATION...]

DESCRIPTION
Launch Exaile, optionally adding tracks specified by LOCATION to the active playlist. If Exaile is already running, this attempts to use the existing instance instead of creating a new one.

  Playback Options:

-n, --next
    Play the next track

-p, --prev
    Play the previous track

-s, --stop
    Stop playback

-a, --play
    Play

-u, --pause
    Pause

-t, --play-pause
    Pause or resume playback

--stop-after-current
    Stop playback after current track

  Collection Options:

--add LOCATION
    Add tracks from LOCATION to the collection

  Playlist Options:

--export-playlist LOCATION
    Export the current playlist to LOCATION

  Track Options:

-q, --query
    Query player

--format-query FORMAT
    Retrieve the current playback state and track information as FORMAT

--format-query-tags TAGS
    Tags to retrieve from the current track; use with --format-query

--gui-query
    Show a popup with data of the current track

--get-title
    Print the title of current track

--get-album
    Print the album of current track

--get-artist
    Print the artist of current track

--get-length
    Print the length of current track

--set-rating N
    Set rating for current track to N%

--get-rating
    Get rating for current track

--current-position
    Print the current playback position as time

--current-progress
    Print the current playback progress as percentage

  Volume Options:

-i N, --increase-vol N
    Increase the volume by N%

-l N, --decrease-vol N
    Decrease the volume by N%

-m, --toggle-mute
    Mute or unmute the volume

--get-volume
    Print the current volume percentage

  Other Options:

--new
    Start new instance

-h, --help
    Show this help message and exit

--version
    Show program's version number and exit.

--start-minimized
    Start minimized (to tray, if possible)

--toggle-visible
    Toggle visibility of the GUI (if possible)

--safemode
    Start in safe mode - sometimes useful when you're running into problems

--force-import
    Force import of old data from version 0.2.x (overwrites current data)

--no-import
    Do not import old data from version 0.2.x

--start-anyway
    Make control options like --play start Exaile if it is not running

--use-lang USELANGUAGE
    Locale to use for Exaile

  Development/Debug Options:

--datadir DIRECTORY
    Set data directory

--all-data-dir DIRECTORY
    Set data and config directory

--modulefilter MODULE
    Limit log output to MODULE

--levelfilter LEVEL
    Limit log output to LEVEL

--debug
    Show debugging output

--eventdebug
    Enable debugging of xl.event. Generates lots of output

--eventdebug-full
    Enable full debugging of xl.event. Generates LOTS of output

--threaddebug
    Add thread name to logging messages.

--eventfilter TYPE
    Limit xl.event debug to output of TYPE

--quiet
    Reduce level of output

--startgui

--no-dbus
    Disable D-Bus support

--no-hal
    Disable HAL support.